package com.chaoran.entiry;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class Test {
    public static void main(String[] args) {
    	 Map<String, String> m=new HashMap<String, String>();
		 m.put("a","1");
		 m.put("b","2");
		 m.put("c","3");
		 Set<String> set=m.keySet();
		 for(String a:set){
			 System.out.println(a+"---");
			 if(a.equals("a")){
				 //set.remove(a);
			 }
		 }
		 Set<String> set1=m.keySet();
		 for(String b:set1){
			 System.out.println(b);
		 }
	}
}
